LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.numeric_std.all;

entity toplevel is
port(
	 	clk        	: in std_logic;
	    rst        	: in std_logic;
		input		: in std_logic;
		output		: out std_logic_vector(7 downto 0)
	);
end entity toplevel;


ARCHITECTURE toplevel_a OF toplevel IS

    signal del1 	: std_logic;
    signal del2 	: std_logic;
    signal del3 	: std_logic;
    signal del4 	: std_logic;
    signal del5 	: std_logic;
    signal del6 	: std_logic;
    signal del7 	: std_logic;
    signal del8 	: std_logic;

    signal reg1 	: std_logic;
    signal reg2 	: std_logic;
    signal reg3 	: std_logic;
    signal reg4 	: std_logic;
    signal reg5 	: std_logic;
    signal reg6 	: std_logic;
    signal reg7 	: std_logic;
    signal reg8 	: std_logic;

BEGIN

	--del1 <= not input;
	--del2 <= not del1;
	--del3 <= not del2;
	--del4 <= not del3;
	--del5 <= not del4;
	--del6 <= not del5;
	--del7 <= not del6;
	--del8 <= not del7;

	-- oszillating
	del1 <= del8;
	del2 <= not del1;
	del3 <= not del2;
	del4 <= not del3;
	del5 <= not del4;
	del6 <= not del5;
	del7 <= not del6;
	del8 <= not del7;
		
						
    -----------------------------------------------------------------
    clocked_proc : PROCESS (clk, rst)
    -----------------------------------------------------------------
    BEGIN
        IF (rst = '1') THEN
            reg1 <= '0';
            reg2 <= '0';
            reg3 <= '0';
            reg4 <= '0';
            reg5 <= '0';
            reg6 <= '0';
            reg7 <= '0';
            reg8 <= '0';

        ELSIF (clk'EVENT AND clk = '1') THEN

			reg1 <= del1;
			reg2 <= del2;
			reg3 <= del3;
			reg4 <= del4;
			reg5 <= del5;
			reg6 <= del6;
			reg7 <= del7;
			reg8 <= del8;
																								
        END IF;
    END PROCESS clocked_proc;
 
	output(0) <= not reg1;
	output(1) <= reg2;
	output(2) <= not reg3;
	output(3) <= reg4;
	output(4) <= not reg5;
	output(5) <= reg6;
	output(6) <= not reg7;
	output(7) <= reg8;
										
END toplevel_a;
